/* ClearINI.CMD    REXX script to remove CantaLoup-entries from INI-Files     */
/*                 CantaLoup 0.79 WB1                                         */

/* uses SysIni to change User-INI */
CALL RxFuncAdd 'SysIni', 'rexxutil', 'SysIni'
CALL RxFuncAdd 'SysCls', 'rexxutil', 'SysCls'

value       = ''
task        = 1
application = 'CantaLoup Mailer '
iniPathFile = VALUE('CL',, OS2ENVIRONMENT)
if iniPathFile <> "" THEN do
    string = SUBSTR(iniPathFile, LENGTH(iniPathFile), 1)
    if (string <> '\') & (string <> '/') THEN
      iniPathFile=insert(IniPathFile,'\')
   end
iniPathFile=insert(IniPathFile, 'CL.INI')

call SysCls
say '-------------------------------------------------------------------------------'
say '   CantaLoup 0.79 WB1 -- remove CantaLoup INI-entries'
say
say '   This Procedure will help you removing INI-entries for '
say '   CantaLoup 0.79 WB1'
say '-------------------------------------------------------------------------------'
say
say 'Remove CantaLoup settings from INI-File? (y|n) : ';
call charout , '--> ';
pull answer;
if translate(answer)='Y' then do
   Say 'Please enter the full name of the INI-File. (with directory)'
   Say '(default: 'iniPathFile') '
   call charout , '--> ';
   pull inifile
   If inifile = "" Then inifile = iniPathFile

   Say 'Please enter the Task number.'
   Say '(default: 'task')'
   call charout , '-->';
   pull task

   If task = "" THEN task = 1;
   If task < 10 then application = insert(application, "0")
   application = insert(application, task);

   keyname     = 'Info 00'
   call SysIni inifile, application, keyname, value
   call charout , '   .';

   keyname     = 'Event 00'
   call SysIni inifile, application, keyname, value
   call charout , '   .';

   say
   say '   CantaLoup Task 'task' settings removed.'
end
else
   say '   Keeping CantaLoup settings.'


